Siduction Forum

Siduction Forum => Upgrade Warnings (DE / EN) => Topic started by: t0mte on 2018/11/03, 11:32:44

Title: update of libasound2 breaks sound on HDA-Intel
Post by: t0mte on 2018/11/03, 11:32:44
Hi.
today DU breaks sound on my amd64.
Code: [Select]
libasound2:amd64 (1.1.6-1, 1.1.7-1),
libasound2-data:amd64 (1.1.6-1, 1.1.7-1),
libasound2-dev:amd64 (1.1.6-1, 1.1.7-1),
libasound2-plugins:amd64 (1.1.6-1+b1, 1.1.7-1)
Downgrade to the packages from testing solved that problem.
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: dibl on 2018/11/03, 12:38:56
Thank you.  Breakage confirmed, fix works.
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: hsp on 2018/11/03, 12:39:17
same here...
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: hendrikL on 2018/11/03, 13:09:39
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=912721
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: dibl on 2018/11/03, 13:29:30
The problem appears to be caused by the new libasound2-plugins packages.  By chance, I have a laptop that was updated last night and got the new libasound2 and libasound2-data packages, but not the new libasound2-plugins.  Sound is still working.  But this morning, if I run d-u, I see I will get the new libasound2-plugins and that is what will surely break sound.

Code: [Select]
root@n5110:/# apt policy libasound2 libasound2-data libasound2-plugins
libasound2:
  Installed: 1.1.7-1
  Candidate: 1.1.7-1
  Version table:
 *** 1.1.7-1 500
        500 http://deb.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
libasound2-data:
  Installed: 1.1.7-1
  Candidate: 1.1.7-1
  Version table:
 *** 1.1.7-1 500
        500 http://deb.debian.org/debian unstable/main amd64 Packages
        100 /var/lib/dpkg/status
libasound2-plugins:
  Installed: 1.1.6-1+b1
  Candidate: 1.1.7-1
  Version table:
     1.1.7-1 500
        500 http://deb.debian.org/debian unstable/main amd64 Packages
 *** 1.1.6-1+b1 100
        100 /var/lib/dpkg/status
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: axt on 2018/11/03, 13:36:23
The return isn't necessary.

Code: [Select]
mv /etc/alsa/conf.d{,_bak}
and reboot.
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: jure on 2018/11/03, 14:07:03
Code: [Select]
mv /etc/alsa/conf.d{,_bak}
thx axt - that works for me ...
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: dibl on 2018/11/03, 14:22:17
Thanks axt!
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: Mte90 on 2018/11/03, 14:23:52
thanks axt worked without the reboot on my case :-)
I only done a jump on the chair because on my test I put the volume at maximum  ::)
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: hsp on 2018/11/03, 14:25:40
That's not the solution, just a workaround until it's fixed.
...
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: axt on 2018/11/03, 14:36:11
hsp, at no point do I claim that's the final solution. You are welcome to bring it. When it's time - undoing the renaming is done in seconds.
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: piper on 2018/11/03, 14:36:24
danke axt
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: hendrikL on 2018/11/03, 15:05:32
and if some one didn't run a full-upgrade, setting libasound2-pluguns on hold should also work.
Code: [Select]
apt-mark hold libasound2-plugins
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: melmarker on 2018/11/03, 18:16:00
Is ja alles gut und sch├Ân - hat eventuell mal jemand dran gedacht, einen grave-bug gegen libasound2-plugins zu malen?

Code: [Select]
reportbug libasound2-plugins

zeigt auf jeden Fall nix an. Ist ├╝berhaupt nicht cool!!  >:(
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: jure on 2018/11/03, 18:19:40
ich denke den gibt es schon https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=912721

Quote
reportbug libasound2-plugins
.....
Bugs with severity grave
   1) #912680  libasound2-plugins: broken symlinks in /etc/alsa/conf.d
   2) #912721  libasound2-plugins: Sound no longer works after latest update
   3) #912726  alsa-lib: update created /etc/alsa/conf.d directory filled with broken symlinks to /usr/share/alsa/alsa.conf.d
   4) #912755  cannot access file /etc/alsa/conf.d/10-rate-lav.conf
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: melmarker on 2018/11/03, 18:37:56
jure - hast Du das hinbekommen ohne die Meldung, dass libasound2-plugins nicht installiert ist?
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: jure on 2018/11/03, 18:42:34
libasound2-plugins ist ja installiert
Code: [Select]
apt policy libasound2-plugins
libasound2-plugins:
  Installiert:           1.1.7-1
  Installationskandidat: 1.1.7-1

aber nach 

Code: [Select]
mv /etc/alsa/conf.d{,_bak}
funzt es halt hier
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: geklmintendont on 2018/11/03, 19:32:40
moving conf.d folder to a backup variant worked.
How do I save my pulseaudio config now though
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: dibl on 2018/11/03, 21:06:37
Pulseaudio config is at /home/user/.config/pulse -- should not be changed by the d-u or by moving the /etc/alsa/conf.d folder.
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: piper on 2018/11/04, 02:21:30
Recent du has fixed this for me  BECAREFUL YMMV

Code: [Select]
The following NEW packages will be installed:
  libvidstab1.1
The following packages have been kept back:
  libgs9-common
The following packages will be upgraded:
  ffmpeg libasound2-plugins libasound2-plugins:i386 libavcodec58 libavcodec58:i386 libavdevice58 libavfilter7 libavformat58 libavresample4
  libavresample4:i386 libavutil56 libavutil56:i386 libpostproc55 librsvg2-2 librsvg2-2:i386 librsvg2-common librsvg2-common:i386 libswresample3
  libswresample3:i386 libswscale5 libtalloc2 libtdb1 python-talloc python-tdb tdb-tools
25 upgraded, 1 newly installed, 0 to remove and 1 not upgraded.
Need to get 16.8 MB of archives.
After this operation, 11.5 MB of additional disk space will be used.
Get:1 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main amd64 ffmpeg amd64 7:4.0.3-1 [1,363 kB]
Get:2 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main amd64 libavdevice58 amd64 7:4.0.3-1 [113 kB]
Get:3 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main amd64 libavfilter7 amd64 7:4.0.3-1 [957 kB]
Get:4 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main amd64 libavformat58 amd64 7:4.0.3-1 [982 kB]
Get:5 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main amd64 libpostproc55 amd64 7:4.0.3-1 [90.9 kB]
Get:6 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main amd64 libavcodec58 amd64 7:4.0.3-1 [4,668 kB]
Get:7 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main i386 libavcodec58 i386 7:4.0.3-1 [4,637 kB]
Get:8 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main i386 libswresample3 i386 7:4.0.3-1 [99.9 kB]
Get:9 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main amd64 libswresample3 amd64 7:4.0.3-1 [94.8 kB]
Get:10 http://10.10.10.3:3142/mirror.math.princeton.edu/pub/debian unstable/main amd64 libvidstab1.1 amd64 1.1.0-2 [37.6 kB]
Get:11 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main amd64 libswscale5 amd64 7:4.0.3-1 [190 kB]
Get:12 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main i386 libavresample4 i386 7:4.0.3-1 [94.7 kB]
Get:13 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main amd64 libavresample4 amd64 7:4.0.3-1 [91.8 kB]
Get:14 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main amd64 libavutil56 amd64 7:4.0.3-1 [225 kB]
Get:15 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main i386 libavutil56 i386 7:4.0.3-1 [241 kB]
Get:16 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main i386 librsvg2-common i386 2.44.8-3 [23.1 kB]                         
Get:17 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main amd64 librsvg2-common amd64 2.44.8-3 [23.0 kB]                       
Get:18 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main amd64 librsvg2-2 amd64 2.44.8-3 [1,272 kB]                           
Get:19 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main i386 librsvg2-2 i386 2.44.8-3 [1,287 kB]                             
Get:20 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main amd64 libasound2-plugins amd64 1.1.7-2 [73.9 kB]                     
Get:21 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main i386 libasound2-plugins i386 1.1.7-2 [75.9 kB]                       
Get:22 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main amd64 libtalloc2 amd64 2.1.14-2 [35.4 kB]                           
Get:23 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main amd64 python-tdb amd64 1.3.16-2 [17.1 kB]                           
Get:24 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main amd64 libtdb1 amd64 1.3.16-2 [44.9 kB]                               
Get:25 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main amd64 python-talloc amd64 2.1.14-2 [13.2 kB]                         
Get:26 http://10.10.10.3:3142/incoming.debian.org/debian-buildd buildd-unstable/main amd64 tdb-tools amd64 1.3.16-2 [28.0 kB]                             
Fetched 16.8 MB in 7s (2,387 kB/s)
                                                   
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: threepio on 2018/11/04, 22:51:35
Fixed with libasound2-plugins 1.1.7-2 (bug was in 1.1.7-1)
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: drb on 2018/11/05, 12:28:24
Is this the dmo2 version?
Code: [Select]
$ apt-cache policy libasound2-plugins
libasound2-plugins:
  Installed: 1:1.1.7-dmo1
  Candidate: 1:1.1.7-dmo2
  Version table:
     1:1.1.7-dmo2 500
        500 http://www.deb-multimedia.org sid/main amd64 Packages
 *** 1:1.1.7-dmo1 100
        100 /var/lib/dpkg/status
     1.1.7-2 500
        500 http://http.debian.net/debian unstable/main amd64 Packages
     1.1.6-1+b1 500
        500 http://http.debian.net/debian testing/main amd64 Packages
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: piper on 2018/11/05, 13:20:37
@drb

Yes it is, however, I don't think dmo was hit with this bug.
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: drb on 2018/11/05, 13:40:10
Thanks!
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: tranquil on 2018/12/05, 11:34:08
Sound still seriously broken on my desktop.  I have version 1.1.7-3 of libasound2-plugins installed.  Tried the recommendations in this thread, except for rolling back to earlier version, as well as here (https://forum.siduction.org/index.php?topic=7430.0), but still no go.


Sound card(s) on my desktop per inxi:
Code: [Select]

Audio:
  Device-1: Intel Haswell-ULT HD Audio driver: snd_hda_intel
  Device-2: Intel 8 Series HD Audio driver: snd_hda_intel
  Sound Server: ALSA v: k4.18.0-2-amd64

Graphical error from Audacious:
(https://i.postimg.cc/bGYfpj4V/2018-12-05-1543997827-477x145-scrot.png) (https://postimg.cc/bGYfpj4V)

Graphical error from gmusicbrowser:
(https://i.postimg.cc/PNw9GxPr/2018-12-05-1543997934-465x250-scrot.png) (https://postimg.cc/PNw9GxPr)
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: piper on 2018/12/05, 12:31:18
Maybe worth a try, mgiht work, might not ;)

Code: [Select]
mv /etc/alsa/conf.d/99-pulseaudio-default.conf.example
/etc/alsa/conf.d/99-pulseaudio-default.conf

If you don't have a 99-pulseaudio-default.conf look in

Code: [Select]
/etc/alsa/conf.d_bak
If you don't have that, make one (99-pulseaudio-default.conf)

Code: [Select]
# Default to PulseAudio

pcm.!default {
    type pulse
    hint {
        show on
        description "Default ALSA Output (currently PulseAudio Sound Server)"
    }
}

ctl.!default {
    type pulse
}

Can you post the outputs of

Code: [Select]
dpkg -l | grep libasound2 | awk {'print $2,$3'}

dpkg -l | grep alsa | awk {'print $2,$3'}


Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: tranquil on 2018/12/06, 00:00:42
Thank you for replying.  Your suggestion didn't work; no sound at all. FWIW, I'm now getting a different error message (after moving the pulseaudio config file) when first attempting to play a song in Audacious:


(https://i.postimg.cc/sBPRHKBY/2018-12-05-1544049591-460x145-scrot.png) (https://postimg.cc/sBPRHKBY)


I no longer get an error from gmusicbrowser.


Code: [Select]

dpkg -l | grep libasound2 | awk {'print $2,$3'}
libasound2:amd64 1.1.7-1+b1
libasound2:i386 1.1.7-1+b1
libasound2-data 1.1.7-1
libasound2-plugins:amd64 1.1.7-3
libasound2-plugins:i386 1.1.7-3


dpkg -l | grep alsa | awk {'print $2,$3'}
alsa-utils 1.1.7-1
gstreamer1.0-alsa:amd64 1.14.4-1
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: piper on 2018/12/06, 00:43:54
Lets try this,  make a .asoundrc in /home/username

Code: [Select]
###
pcm.!default {
type hw
card 1
}
###


To configure this system wide put it in /etc/asound.config

If that don't work, try

Code: [Select]
     pcm.pulse {
        type pulse
    }

    ctl.pulse {
        type pulse
    }

    pcm.!default {
        type pulse
    }

    ctl.!default {
        type pulse
    }

instead of rebooting you can try as user   pulseaudio --kill   pulseaudio --start

Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: tranquil on 2018/12/06, 07:20:12
No go; neither suggestion worked and I even tried rebooting after each change just for a sanity check.
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: Xaver on 2018/12/06, 11:03:11

Have you tried plain ALSA without pulseaudio?
You can choose ALSA in the audio settings of audacious.
I have purged pulseaudio from my system and did not get any of these problems.
Somehow the sound quality feels better now.
Alsa sound in browsers is still possible, if you start the browser with apulse.
So ALSA could be a good choice,  if you do not need the special features of pulseaudio.
Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: dibl on 2018/12/06, 12:40:26
I googled the error in post #26 above, which led me to this:

https://bugzilla.redhat.com/show_bug.cgi?id=1640602

You might want to try the suggested workaround and see if it works or not on your hardware.

Here it is on Suse:

https://forums.opensuse.org/showthread.php/533837-Audacious-is-unable-to-use-audio-device-through-ALSA

Title: Re: update of libasound2 breaks sound on HDA-Intel
Post by: tranquil on 2018/12/06, 21:41:53
@Xaver:  No, I haven't tried ALSA without pulseaudio.  I've always used both together without issue until recently.

@dibl:  Thank you for the reply, but I've found the issue.

Seems that either a setting in PNMixer was changed (not by me), or the previously selected sound card now doesn't work, but selecting default for the sound card under PNMixer preferences has resolved the issue.  Or was it the recent upgrade of libasound2 or a combination of both?   :P

(https://i.postimg.cc/Y4K2X8s6/2018-12-06-1544128147-483x386-scrot.png) (https://postimg.cc/Y4K2X8s6)

(https://i.postimg.cc/nCWhmnKw/2018-12-06-1544128123-485x387-scrot.png) (https://postimg.cc/nCWhmnKw)